.TH scn_format n "Version 2.9.10" "Tina Formats"

.SH NAME
scn_format   \- Scenario description format

Part of Tina Toolbox for analysis of Petri nets and Time Petri nets
(see also nd, tina, plan, struct, ktzio, selt).

.SH DESCRIPTION

The scn format is used by:

.nf
- the nd stepper to store/load histories;
- the selt model checker to save counter examples for replay by the stepper;
- the plan application, to analyse path timing.
.fi

A  .scn file is  a series  of line,  each constituted  of a  series of
blocks of one  of the following shape (all blocks in  a file have same
shape) :

.nf
       <transition>
  or:  <transition>@<time>
  or:  <transition>$<time>

  where <transition> is a transition name (see net.txt)
  and   <time> is a nonnegative float (without exponent)
.fi

Spaces and tabs are considered separators;

Line breaks are  significant, thet are interpreted as  marks by the nd
stepper, and preserved by the plan tool;

Blank lines and and those beginning with "#" are considered comments;


.SH EXAMPLES

(see example files in the "net" directory of distributions).

.SH SEE ALSO

tina_formats, nd, tina, plan, struct, ktzio, selt

.SH AUTHORS
Bernard Berthomieu, LAAS/CNRS, 2000-2010, Bernard.Berthomieu@laas.fr.

